Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232036 (perl-YAML-Tiny) - Review Request: perl-YAML-Tiny - Read/Write YAML files with as little code as possible
Summary: Review Request: perl-YAML-Tiny - Read/Write YAML files with as little code as...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-YAML-Tiny
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: perl-YAML-Syck
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 17:43 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-18 23:57:15 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-03-13 17:43:31 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-YAML-Tiny/perl-YAML-Tiny.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-YAML-Tiny-1.04-1.src.rpm
Description:
YAML::Tiny is a perl class to read and write YAML-style files with as
little code as possible, reducing load time and memory overhead.

Comment 1 Parag AN(पराग) 2007-03-26 06:42:32 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
edba36ca379be0c5f8176239b8f547d9  YAML-Tiny-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test AUTOMATED_TESTING=1
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t
t/01_compile.......ok
t/02_basic.........ok
        63/594 skipped: various reasons
t/03_regression....ok
t/11_meta_yml......ok
t/12_plagger.......ok
        7/44 skipped: Skipping YAML::Syck compatibility testing
t/13_perl_smith....ok
        7/26 skipped: Skipping YAML::Syck compatibility testing
t/14_yaml_org......ok
t/99_author........ok
All tests successful, 77 subtests skipped.
Files=8, Tests=804,  2 wallclock secs ( 1.40 cusr +  0.12 csys =  1.52 CPU)
+ Provides: perl(YAML::Tiny) = 1.04


Why make test skipped compatibility testing?


Comment 2 Steven Pritchard 2007-03-26 15:10:26 UTC
(In reply to comment #1)
> Why make test skipped compatibility testing?

I'm honestly not sure.  Having it available in the build tree should be 
enough.


Comment 3 Parag AN(पराग) 2007-04-11 03:17:09 UTC
APPROVED.

Comment 4 Steven Pritchard 2007-05-01 18:22:09 UTC
New Package CVS Request
=======================
Package Name: perl-YAML-Tiny
Short Description: Read/Write YAML files with as little code as possible
Owners: steve@silug.org
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com


Comment 5 Steven Pritchard 2007-05-18 23:57:15 UTC
Imported, builds requested, etc.

Thanks.

Comment 6 Steven Pritchard 2007-05-23 18:22:10 UTC
Package Change Request
======================
Package Name: perl-YAML-Tiny
New Branches: F-7

This is going to need a F-7 branch in order to avoid upgrade problems.

Comment 7 Jens Petersen 2007-05-27 03:53:58 UTC
branch added


Note You need to log in before you can comment on or make changes to this bug.